- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::geom::CoordinateArraySequenceFactory Class Reference

Creates CoordinateSequences internally represented as an array of Coordinates. More...

`#include <geos.h>`

Inheritance diagram for geos::geom::CoordinateArraySequenceFactory:

List of all members.

## Public Member Functions
CoordinateSequence * | create (std::vector< Coordinate > *coords) const
| Returns a CoordinateArraySequence based on the given vector (the vector is not copied - callers give up ownership).
CoordinateSequence * | create (std::vector< Coordinate > *coords, size_t dims) const
CoordinateSequence * | create (size_t size, size_t dimension=3) const
## Static Public Member Functions
static const CoordinateSequenceFactory * | instance ()
| Returns the singleton instance of CoordinateArraySequenceFactory.

## Detailed Description

Creates CoordinateSequences internally represented as an array of Coordinates.

## Member Function Documentation

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | size_t | size,
|  | size_t | dimension = `3` |
| ) |  |  | const`[virtual]`

See also:
  CoordinateSequenceFactory::create(size_t, int)

Implements geos::geom::CoordinateSequenceFactory.

The documentation for this class was generated from the following file:

- CoordinateArraySequenceFactory.h